Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit / JGit » Is there a version of jgit that can run on java 6?(Is there a version of jgit that can run on java 6?)
Is there a version of jgit that can run on java 6? [message #1749440] Tue, 06 December 2016 18:19 Go to next message
troy makaro is currently offline troy makaroFriend
Messages: 1
Registered: December 2016
Junior Member
Hi, I need a git client command line on OpenVMS in order to clone/push/pull from/to github. Unfortunately OpenVMS only supports java 5 and 6.
Re: Is there a version of jgit that can run on java 6? [message #1749516 is a reply to message #1749440] Wed, 07 December 2016 16:51 Go to previous message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 962
Registered: July 2009
Senior Member
We updated minimum Java version to 7 in version 4.0 so you can use JGit command line 3.7.1 or older.

Find old versions here
https://wiki.eclipse.org/EGit/FAQ#Where_can_I_find_older_releases_of_EGit.3F

3.6.2 or newer are also deployed to Maven central
http://search.maven.org/#search%7Cgav%7C1%7Cg%3A%22org.eclipse.jgit%22%20AND%20a%3A%22org.eclipse.jgit.pgm%22
Previous Topic:Subtree or subrepo support in egit
Next Topic:Can't get egit to refresh tag info
Goto Forum:
  


Current Time: Wed Nov 22 20:31:44 GMT 2017

Powered by FUDForum. Page generated in 0.01474 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software